# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stormpack/pusher/version'

Gem::Specification.new do |spec|
  spec.name          = "stormpack-pusher"
  spec.version       = Stormpack::Pusher::VERSION
  spec.authors       = ["Lyon Hill"]
  spec.email         = ["lyondhill@gmail.com"]
  spec.summary       = %q{Stormpack client for ruby.}
  spec.description   = %q{Stormpack client for ruby. Pushes data to stormpack servers}
  spec.homepage      = "https://github.com/stormpack-core/stormpack-pusher-ruby"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "pry"
  spec.add_dependency 'faraday'
end
